Summary:	SCLI - SNMP Command Line Interface
Name:		scli
Version:	0.3.1
Release:	%mkrel 3
License:	GPL
Group:		Networking/Other

Source0:	ftp://ftp.ibr.cs.tu-bs.de/pub/local/scli/%{name}-%{version}.tar.bz2
Url:		http://www.ibr.cs.tu-bs.de/projects/scli/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libxml2-devel
BuildRequires:	readline-devel
BuildRequires:	ncurses-devel
BuildRequires:	libglib2-devel
BuildRequires:	libgnet2-devel
BuildRequires:	gsnmp-devel

%description
Authors description on the project's home page:

The scli package was written to address the need for small and
efficient command line utilities to monitor and configure network
devices and host systems. The scli package is based on the SNMP
management protocol. It utilizes a MIB compiler called smidump to
generate C stub code. In fact, virtually no SNMP knowledge is required
in order to extend the scli programs with new features.

The programs contained in the scli package try to be very specific
rather than generic. Generic SNMP tools such as MIB browsers or simple
command line tools (e.g. snmpwalk) are hard to use since they expose
too many protocol details. And in most cases, they fail to present the
information in a format that is easy to read and understand.

The scli package was designed to be extensible. Additional modes that
extend the capabilities of the tools can easily be added. The smidump
MIB compiler hides all the SNMP protocol details so that every C
programmer can implement new modes. In fact, we like to encourage
users to write and contribute new modes so that the package becomes
more and more valuable.

To summarize, the slogan for this little package is: "After more than
10 years of SNMP, I felt it is time for really useful command line
SNMP monitoring and configuration tools. ;-)"

%prep
%setup -q

%build
%configure --disable-xmltest
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc AUTHORS NEWS PORTING README TODO 
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/*


%changelog
* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3.1-3mdv2009.0
+ Revision: 225402
- rebuild

* Thu Jan 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3.1-2mdv2008.1
+ Revision: 154151
- do not package big changelog
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Aug 18 2007 Crispin Boylan <crisb@mandriva.org> 0.3.1-1mdv2008.0
+ Revision: 65756
- New version


* Thu Sep 21 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.12-8mdv2007.0
- Rebuild against ncurse

* Wed Sep 20 2006 Till Kamppeter <till@mandriva.com> 0.2.12-7mdv2007.0
- Rebuilt for new NCurses.

* Mon May 08 2006 Stefan van der Eijk <stefan@eijk.nu> 0.2.12-6mdk
- rebuild for sparc

* Fri Jan 21 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.2.12-5mdk
- rebuild for new readline

* Sun Nov 28 2004 Till Kamppeter <till@mandrakesoft.com> 0.2.12-4mdk
- Rebuilt.

